Payment Methods (Checkout)
Retrieve Payment Method by ID
Retrieves details of a specific enrolled payment method by its ID
GET
/
payment-methods
/
{payment_method_id}
Retrieve Payment Method By ID
curl --request GET \
--url https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "0395199e-a99c-4a85-acac-6c916f43fa74",
"idempotency_key": null,
"account_id": "493e9374-510a-4201-9e09-de669d75f256",
"name": "Visa Credit Card",
"description": "Visa Credit Card",
"type": "VISA",
"category": "CARD",
"country": "US",
"status": "READY_TO_ENROLL",
"created_at": "2024-06-06T13:14:18.799434Z",
"updated_at": "2024-06-06T13:14:18.799437Z",
"enrollment": {
"session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
"sdk_required_action": false
},
"provider": {
"id": "YUNO",
"type": "YUNO",
"provider_status": null
},
"verify": {
"vault_on_success": false,
"payment": null
},
"preferred": null,
"parent_type": null,
"customer_payer": {
"first_name": null,
"last_name": null,
"email": null,
"gender": null,
"date_of_birth": null,
"document": null,
"phone": null,
"billing_address": null,
"shipping_address": null
},
"card_data": {
"iin": "41111111",
"lfd": "1111",
"holder_name": "JOHN DOE",
"expiration_month": 12,
"expiration_year": 26,
"number_length": 16,
"security_code_length": 3,
"security_code_expires_in": 79073,
"brand": "VISA",
"issuer": "CONOTOXIA SP Z O O",
"issuer_code": null,
"country_code": "PL",
"category": "CLASSIC",
"type": "DEBIT",
"stored_credentials": {
"reason": null,
"usage": null,
"subscription_agreement_id": null,
"network_transaction_id": "108114113107103",
"transaction_link_id": null
},
"fingerprint": "ba4d6817-adf4-47b1-8ae4-41a934e9e512"
}
}
Retrieve information about a payment method based on its
payment_method_id, which needs to be provided in the request path.Authorizations
Path Parameters
The payment method id obtained while enrolling a new payment method (UUID, 36 chars).
Response
200
- Ready to enroll
- Enrolled
Example:
"0395199e-a99c-4a85-acac-6c916f43fa74"
Example:
"493e9374-510a-4201-9e09-de669d75f256"
Example:
"Visa Credit Card"
Example:
"Visa Credit Card"
Example:
"VISA"
Example:
"CARD"
Example:
"US"
Example:
"READY_TO_ENROLL"
Example:
"2024-06-06T13:14:18.799434Z"
Example:
"2024-06-06T13:14:18.799437Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Parent type.
Customer payer.
Show child attributes
Show child attributes
Card data.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Retrieve Payment Method By ID
curl --request GET \
--url https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "0395199e-a99c-4a85-acac-6c916f43fa74",
"idempotency_key": null,
"account_id": "493e9374-510a-4201-9e09-de669d75f256",
"name": "Visa Credit Card",
"description": "Visa Credit Card",
"type": "VISA",
"category": "CARD",
"country": "US",
"status": "READY_TO_ENROLL",
"created_at": "2024-06-06T13:14:18.799434Z",
"updated_at": "2024-06-06T13:14:18.799437Z",
"enrollment": {
"session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
"sdk_required_action": false
},
"provider": {
"id": "YUNO",
"type": "YUNO",
"provider_status": null
},
"verify": {
"vault_on_success": false,
"payment": null
},
"preferred": null,
"parent_type": null,
"customer_payer": {
"first_name": null,
"last_name": null,
"email": null,
"gender": null,
"date_of_birth": null,
"document": null,
"phone": null,
"billing_address": null,
"shipping_address": null
},
"card_data": {
"iin": "41111111",
"lfd": "1111",
"holder_name": "JOHN DOE",
"expiration_month": 12,
"expiration_year": 26,
"number_length": 16,
"security_code_length": 3,
"security_code_expires_in": 79073,
"brand": "VISA",
"issuer": "CONOTOXIA SP Z O O",
"issuer_code": null,
"country_code": "PL",
"category": "CLASSIC",
"type": "DEBIT",
"stored_credentials": {
"reason": null,
"usage": null,
"subscription_agreement_id": null,
"network_transaction_id": "108114113107103",
"transaction_link_id": null
},
"fingerprint": "ba4d6817-adf4-47b1-8ae4-41a934e9e512"
}
}